=== modified file 'bzrlib/benchmarks/bench_xml.py'
--- bzrlib/benchmarks/bench_xml.py	2006-08-16 21:28:52 +0000
+++ bzrlib/benchmarks/bench_xml.py	2006-08-16 21:31:49 +0000
@@ -28,6 +28,7 @@
         #                      with Robert's serializer:  631ms/10770ms
         #                      with Entity escaper:       487ms/11636ms
         #           caching Entity escaper, empty cache:  448ms/ 9489ms
+        #           caching Entity escaper, full cache:   381ms/ 9489ms
         # Really all we want is a real inventory
         tree = self.make_kernel_like_committed_tree('.', link_bzr=True)
 
@@ -49,3 +50,13 @@
         finally:
             f.close()
 
+    def test_serialize_to_string_cached_kernel_like_inventory(self):
+        tree = self.make_kernel_like_committed_tree('.', link_bzr=True)
+
+        xml5._clear_cache()
+        # We want a real tree with lots of file ids and sha strings, etc.
+        inv = tree.basis_tree().inventory
+        xml5.serializer_v5.write_inventory_to_string(inv)
+
+        self.time(xml5.serializer_v5.write_inventory_to_string, inv)
+

=== modified file 'bzrlib/xml5.py'
--- bzrlib/xml5.py	2006-08-16 21:28:52 +0000
+++ bzrlib/xml5.py	2006-08-16 21:31:49 +0000
@@ -122,7 +122,7 @@
         f.writelines(output)
         # Just to keep the cache from growing without bounds
         # but we may actually not want to do clear the cache
-        _clear_cache()
+        #_clear_cache()
 
     def _append_inventory_root(self, output, inv):
         """Append the inventory root to output."""

